<script setup lang="ts">
import { ref } from "vue";
import type { VForm } from "vuetify/components";
import { useloginStore } from "@/stores/login";
const loginStore = useloginStore();
const LoginName = ref("");
const Password = ref("");
const valid = ref(true);
const form = ref<InstanceType<typeof VForm> | null>(null);

const Login = async () => {
  const { valid } = await form.value!.validate();
  if (valid) {
    loginStore.login(LoginName.value, Password.value);
  }
};
const reset = () => {
  form.value?.reset();
};
</script>

<template>
  <v-app>
    <v-main class="pa-16 bg-blue-grey-lighten-1"
      ><v-card width="400px" class="mx-auto">
        <v-card-title
          primary-title
          class="text-center text-h5 font-weight-bold"
        >
          Login
        </v-card-title>
        <v-card-text>
          <v-form ref="form">
            <v-text-field
              label="Login Name"
              v-model="LoginName"
              :rules="[
                (v) => !!v || 'Login Name is required',
                (v) =>
                  v.length >= 4 ||
                  'Name must be more than or equal 4 characters',
              ]"
              required
            >
            </v-text-field>
            <v-text-field
              label="Password"
              type="Password"
              v-model="Password"
              :rules="[
                (v) => !!v || 'Password is required',
                (v) =>
                  v.length >= 8 ||
                  'Password must be more than or equal 8 characters',
              ]"
              required
            >
            </v-text-field>
          </v-form>
        </v-card-text>
        <pre>
          {{ LoginName }}
          {{ Password }}
        </pre>
        <v-card-actions class="justify-center">
          <v-btn color="success" @click="Login">Login</v-btn>
          <v-btn color="error" @click="reset">Clear</v-btn>
        </v-card-actions>
      </v-card></v-main
    >
  </v-app>
</template>
